var Backbone = require('backbone');
var Globals = require('../globals');

var DeliveryDestination = Backbone.Model.extend({

	initialize: function() {
        $.ajaxPrefilter(
            function(options, originalOptions, jqXHR) {
                options.xhrFields = {
                    withCredentials: true
                }
            }
        );
    },

    url: Globals.ApiUrl + '/cart/delivery_destination',
    defaults: { 
    	count: 0
    }
});

module.exports = DeliveryDestination;